// pages/certificationResult/certificationResult.ts
const app = getApp<IAppOption>()
import { realNameAuthenticationResultCheck } from '../../apis/login'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    status: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.getData()
  },

  async getData() {
    await app.getUserInfo()
    realNameAuthenticationResultCheck().then((res:any) => {
      let status
      switch (res.d) {
        case '认证成功':
          status = 'success'
          break;
        case '认证失败':
          status = 'fail'
          break;
        case '认证异常':
          status = 'warning'
          break;
      }
      this.setData({
        status
      })
    })
    
  },
  jumpInfomation() {
    wx.reLaunch({
      url: '/pages/information/information'
    })
  },
  back() {
    wx.navigateBack({
      delta: 1
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})